Global configurations

Read Global Configurations

Retrieving global configurations

get

Retrieves a list of global configurations.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant should always be written in lowercase.

Query parameters
keysstringOptional
Responses
chevron-right
200

OK

application/json
keystring · min: 1Required

Configuration key.

valueone ofRequired

Configuration value. It can be any valid JSON object.

objectOptional
or
stringOptional
or
object[]Optional
or
booleanOptional
versionintegerOptional

Configuration version.

descriptionstringOptional

Describes purpose of the configuration.

securedbooleanOptional

Flag indicating whether the configuration should be encrypted. It works only if value field is of string type.

Default: false
restrictedbooleanOptional

Flag indicating whether the configuration should be restricted. When configuration is rectricted then it cannot be deleted. When this property is set to true then it cannot be unset.

Default: false
readOnlybooleanOptional

Flag indicating whether the configuration should be readOnly. When configuration is readOnly then it cannot be updated.

Default: false
schemaUrlstring · uriOptional

URL of Json Schema for validation purpose. When configuration is created this value can be provided and then each update operation will be validated against this schema. This property cannot be updated so once set it cannot be unset. The Json Schema should contain one root property named value in order to work correctly. An example of a valid schema: { "$schema": "http://json-schema.org/draft-07/schema#", "type": "object", "required": ["value"], "properties": { "value": { "type": "boolean" } } }

get
/configuration/{tenant}/global-configurations
200

OK

Last updated

Was this helpful?